Ruby: rb_io_t Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Data Fields
rb_io_t Struct Reference

`#include <io.h>`

## Data Structures
struct | rb_io_enc_t

## Data Fields
VALUE | self
FILE * | stdio_file
int | fd
int | mode
rb_pid_t | pid
int | lineno
VALUE | pathv
void(* | finalize )(struct rb_io_t *, int)
rb_io_buffer_t | wbuf
rb_io_buffer_t | rbuf
VALUE | tied_io_for_writing
struct rb_io_t::rb_io_enc_t | encs
rb_econv_t * | readconv
rb_io_buffer_t | cbuf
rb_econv_t * | writeconv
VALUE | writeconv_asciicompat
int | writeconv_initialized
int | writeconv_pre_ecflags
VALUE | writeconv_pre_ecopts
VALUE | write_lock

## Detailed Description

Definition at line 61 of file io.h.

## Field Documentation

## ◆ cbuf

rb_io_buffer_t rb_io_t::cbuf

Definition at line 90 of file io.h.

Referenced by rb_io_memsize(), and rb_io_ungetc().

## ◆ encs

struct rb_io_t::rb_io_enc_t rb_io_t::encs

## ◆ fd

int rb_io_t::fd

Definition at line 65 of file io.h.

Referenced by rb_io_binmode(), rb_io_check_closed(), rb_io_eof(), rb_io_fptr_finalize_internal(), rb_io_getbyte(), rb_io_read_check(), rb_io_set_nonblock(), rb_io_stdio_file(), rb_io_wait(), rsock_bsock_send(), rsock_getfamily(), rsock_init_sock(), rsock_io_socket_addrinfo(), rsock_s_accept_nonblock(), rsock_s_recvfrom(), rsock_s_recvfrom_nonblock(), and rsock_sock_listen().

## ◆ finalize

void(* rb_io_t::finalize) (struct rb_io_t *, int)

Definition at line 70 of file io.h.

## ◆ lineno

int rb_io_t::lineno

Definition at line 68 of file io.h.

## ◆ mode

int rb_io_t::mode

Definition at line 66 of file io.h.

Referenced by rb_io_binmode(), rb_io_check_char_readable(), rb_io_check_writable(), rb_io_flush_raw(), rb_io_getbyte(), rb_io_stdio_file(), rb_io_synchronized(), rsock_getfamily(), rsock_init_sock(), rsock_s_recvfrom(), and rsock_s_recvfrom_nonblock().

## ◆ pathv

VALUE rb_io_t::pathv

Definition at line 69 of file io.h.

Referenced by rb_io_fptr_finalize_internal(), and rb_io_set_nonblock().

## ◆ pid

rb_pid_t rb_io_t::pid

Definition at line 67 of file io.h.

## ◆ rbuf

rb_io_buffer_t rb_io_t::rbuf

Definition at line 72 of file io.h.

Referenced by rb_io_check_writable(), rb_io_fptr_finalize_internal(), rb_io_getbyte(), and rb_io_memsize().

## ◆ readconv

rb_econv_t* rb_io_t::readconv

Definition at line 89 of file io.h.

Referenced by rb_io_binmode(), and rb_io_memsize().

## ◆ self

VALUE rb_io_t::self

Definition at line 62 of file io.h.

Referenced by rb_io_make_open_file().

## ◆ stdio_file

FILE* rb_io_t::stdio_file

Definition at line 64 of file io.h.

Referenced by rb_io_stdio_file().

## ◆ tied_io_for_writing

VALUE rb_io_t::tied_io_for_writing

Definition at line 74 of file io.h.

Referenced by rb_io_check_char_readable(), rb_io_get_write_io(), and rb_io_set_write_io().

## ◆ wbuf

rb_io_buffer_t rb_io_t::wbuf

Definition at line 72 of file io.h.

Referenced by rb_io_check_char_readable(), rb_io_fptr_finalize_internal(), and rb_io_memsize().

## ◆ write_lock

VALUE rb_io_t::write_lock

Definition at line 98 of file io.h.

Referenced by rb_io_fptr_finalize_internal().

## ◆ writeconv

rb_econv_t* rb_io_t::writeconv

Definition at line 92 of file io.h.

Referenced by rb_io_binmode(), and rb_io_memsize().

## ◆ writeconv_asciicompat

VALUE rb_io_t::writeconv_asciicompat

Definition at line 93 of file io.h.

## ◆ writeconv_initialized

int rb_io_t::writeconv_initialized

Definition at line 94 of file io.h.

## ◆ writeconv_pre_ecflags

int rb_io_t::writeconv_pre_ecflags

Definition at line 95 of file io.h.

Referenced by rb_io_binmode().

## ◆ writeconv_pre_ecopts

VALUE rb_io_t::writeconv_pre_ecopts

Definition at line 96 of file io.h.

The documentation for this struct was generated from the following file:

- include/ruby/io.h